
# $Id#

. /etc/default/rcS

if ! [ -d /topspin-recovery ]; then
	exit 0
fi
if ! [ -x /sbin/mke2fs ]; then
	exit 0
fi

# Debug hook to preserve /topspin.
if [ ! -z "$PRESERVE_TOPSPIN" ]; then
    echo "Preserving /topspin."
    insmod /sbin/doc.o
    mount /dev/msys/fla2 /topspin
    exit 0
fi

[ "$VERBOSE" != no ] && echo -n "Recreating /topspin."

insmod /sbin/doc.o
mke2fs -j /dev/msys/fla2
if [ $? -ne 0 ]; then
    echo -n ": warning: mke2fs failed"    
    # I'm not sure what we can do here!
fi

mkdir -p /topspin
mount /dev/msys/fla2 /topspin
mkdir -p /topspin/etc
mkdir -p /topspin/log
mkdir -p /topspin/images
# Only needed on CC/LT, but easier to do it unconditionally.
mkdir -p /topspin/config/runtime
mkdir -p /topspin/config/system

[ "$VERBOSE" != no ] && echo "."
