/* A Bison parser, made from grammar.y
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse pcap_parse
#define yylex pcap_lex
#define yyerror pcap_error
#define yylval pcap_lval
#define yychar pcap_char
#define yydebug pcap_debug
#define yynerrs pcap_nerrs
# define	DST	257
# define	SRC	258
# define	HOST	259
# define	GATEWAY	260
# define	NET	261
# define	MASK	262
# define	PORT	263
# define	LESS	264
# define	GREATER	265
# define	PROTO	266
# define	PROTOCHAIN	267
# define	BYTE	268
# define	ARP	269
# define	RARP	270
# define	IP	271
# define	SCTP	272
# define	TCP	273
# define	UDP	274
# define	ICMP	275
# define	IGMP	276
# define	IGRP	277
# define	PIM	278
# define	VRRP	279
# define	ATALK	280
# define	AARP	281
# define	DECNET	282
# define	LAT	283
# define	SCA	284
# define	MOPRC	285
# define	MOPDL	286
# define	TK_BROADCAST	287
# define	TK_MULTICAST	288
# define	NUM	289
# define	INBOUND	290
# define	OUTBOUND	291
# define	LINK	292
# define	GEQ	293
# define	LEQ	294
# define	NEQ	295
# define	ID	296
# define	EID	297
# define	HID	298
# define	HID6	299
# define	AID	300
# define	LSH	301
# define	RSH	302
# define	LEN	303
# define	IPV6	304
# define	ICMPV6	305
# define	AH	306
# define	ESP	307
# define	VLAN	308
# define	ISO	309
# define	ESIS	310
# define	ISIS	311
# define	CLNP	312
# define	STP	313
# define	IPX	314
# define	NETBEUI	315
# define	OR	316
# define	AND	317
# define	UMINUS	318

#line 1 "grammar.y"

/*
 * Copyright (c) 1988, 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that: (1) source code distributions
 * retain the above copyright notice and this paragraph in its entirety, (2)
 * distributions including binary code include the above copyright notice and
 * this paragraph in its entirety in the documentation or other materials
 * provided with the distribution, and (3) all advertising materials mentioning
 * features or use of this software display the following acknowledgement:
 * ``This product includes software developed by the University of California,
 * Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
 * the University nor the names of its contributors may be used to endorse
 * or promote products derived from this software without specific prior
 * written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 */
#ifndef lint
static const char rcsid[] =
    "@(#) $Header: /tcpdump/master/libpcap/grammar.y,v 1.71 2001/07/03 19:15:48 guy Exp $ (LBL)";
#endif

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <sys/types.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <stdlib.h>

#if __STDC__
struct mbuf;
struct rtentry;
#endif

#include <net/if.h>

#include <netinet/in.h>

#include <stdio.h>

#include "pcap-int.h"

#include "gencode.h"
#include <pcap-namedb.h>

#ifdef HAVE_OS_PROTO_H
#include "os-proto.h"
#endif

#define QSET(q, p, d, a) (q).proto = (p),\
			 (q).dir = (d),\
			 (q).addr = (a)

int n_errors = 0;

static struct qual qerr = { Q_UNDEF, Q_UNDEF, Q_UNDEF, Q_UNDEF };

static void
yyerror(char *msg)
{
	++n_errors;
	bpf_error("%s", msg);
	/* NOTREACHED */
}

#ifndef YYBISON
int yyparse(void);

int
pcap_parse()
{
	return (yyparse());
}
#endif


#line 85 "grammar.y"
#ifndef YYSTYPE
typedef union {
	int i;
	bpf_u_int32 h;
	u_char *e;
	char *s;
	struct stmt *stmt;
	struct arth *a;
	struct {
		struct qual q;
		struct block *b;
	} blk;
	struct block *rblk;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		173
#define	YYFLAG		-32768
#define	YYNTBASE	80

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 318 ? yytranslate[x] : 106)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    64,     2,     2,     2,     2,    66,     2,
      73,    72,    69,    67,     2,    68,     2,    70,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    79,     2,
      76,    75,    74,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    77,     2,    78,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,    65,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    71
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     3,     5,     6,     8,    12,    16,    20,    24,
      26,    28,    30,    32,    36,    38,    42,    46,    48,    52,
      54,    56,    58,    61,    63,    65,    67,    71,    75,    77,
      79,    81,    84,    88,    91,    94,    97,   100,   103,   106,
     110,   112,   116,   120,   122,   124,   125,   127,   129,   133,
     137,   141,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   216,   219,   222,
     225,   230,   232,   234,   237,   239,   241,   243,   245,   247,
     249,   251,   253,   255,   260,   267,   271,   275,   279,   283,
     287,   291,   295,   299,   302,   306,   308,   310,   312,   314,
     316,   318,   320
};
static const short yyrhs[] =
{
      81,    82,     0,    81,     0,     0,    91,     0,    82,    83,
      91,     0,    82,    83,    85,     0,    82,    84,    91,     0,
      82,    84,    85,     0,    63,     0,    62,     0,    86,     0,
     105,     0,    88,    89,    72,     0,    42,     0,    44,    70,
      35,     0,    44,     8,    44,     0,    44,     0,    45,    70,
      35,     0,    45,     0,    43,     0,    46,     0,    87,    85,
       0,    64,     0,    73,     0,    86,     0,    90,    83,    85,
       0,    90,    84,    85,     0,   105,     0,    89,     0,    93,
       0,    87,    91,     0,    94,    95,    96,     0,    94,    95,
       0,    94,    96,     0,    94,    12,     0,    94,    13,     0,
      94,    97,     0,    92,    85,     0,    88,    82,    72,     0,
      98,     0,   102,   100,   102,     0,   102,   101,   102,     0,
      99,     0,    98,     0,     0,     4,     0,     3,     0,     4,
      62,     3,     0,     3,    62,     4,     0,     4,    63,     3,
       0,     3,    63,     4,     0,     5,     0,     7,     0,     9,
       0,     6,     0,    38,     0,    17,     0,    15,     0,    16,
       0,    18,     0,    19,     0,    20,     0,    21,     0,    22,
       0,    23,     0,    24,     0,    25,     0,    26,     0,    27,
       0,    28,     0,    29,     0,    30,     0,    32,     0,    31,
       0,    50,     0,    51,     0,    52,     0,    53,     0,    55,
       0,    56,     0,    57,     0,    58,     0,    59,     0,    60,
       0,    61,     0,    94,    33,     0,    94,    34,     0,    10,
      35,     0,    11,    35,     0,    14,    35,   104,    35,     0,
      36,     0,    37,     0,    54,   105,     0,    54,     0,    74,
       0,    39,     0,    75,     0,    40,     0,    76,     0,    41,
       0,   105,     0,   103,     0,    98,    77,   102,    78,     0,
      98,    77,   102,    79,    35,    78,     0,   102,    67,   102,
       0,   102,    68,   102,     0,   102,    69,   102,     0,   102,
      70,   102,     0,   102,    66,   102,     0,   102,    65,   102,
       0,   102,    47,   102,     0,   102,    48,   102,     0,    68,
     102,     0,    88,   103,    72,     0,    49,     0,    66,     0,
      65,     0,    76,     0,    74,     0,    75,     0,    35,     0,
      88,   105,    72,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   140,   144,   146,   148,   149,   150,   151,   152,   154,
     156,   158,   159,   161,   163,   164,   166,   168,   173,   182,
     191,   200,   209,   211,   213,   215,   216,   217,   219,   221,
     223,   224,   226,   227,   228,   229,   230,   231,   233,   234,
     235,   236,   238,   240,   243,   244,   247,   248,   249,   250,
     251,   252,   255,   256,   257,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   303,   304,   305,   307,   308,
     309,   311,   312,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   328,   329,   330,   331,
     332,   334,   335
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "DST", "SRC", "HOST", "GATEWAY", "NET", 
  "MASK", "PORT", "LESS", "GREATER", "PROTO", "PROTOCHAIN", "BYTE", "ARP", 
  "RARP", "IP", "SCTP", "TCP", "UDP", "ICMP", "IGMP", "IGRP", "PIM", 
  "VRRP", "ATALK", "AARP", "DECNET", "LAT", "SCA", "MOPRC", "MOPDL", 
  "TK_BROADCAST", "TK_MULTICAST", "NUM", "INBOUND", "OUTBOUND", "LINK", 
  "GEQ", "LEQ", "NEQ", "ID", "EID", "HID", "HID6", "AID", "LSH", "RSH", 
  "LEN", "IPV6", "ICMPV6", "AH", "ESP", "VLAN", "ISO", "ESIS", "ISIS", 
  "CLNP", "STP", "IPX", "NETBEUI", "OR", "AND", "'!'", "'|'", "'&'", 
  "'+'", "'-'", "'*'", "'/'", "UMINUS", "')'", "'('", "'>'", "'='", "'<'", 
  "'['", "']'", "':'", "prog", "null", "expr", "and", "or", "id", "nid", 
  "not", "paren", "pid", "qid", "term", "head", "rterm", "pqual", "dqual", 
  "aqual", "ndaqual", "pname", "other", "relop", "irelop", "arth", 
  "narth", "byteop", "pnum", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    80,    80,    81,    82,    82,    82,    82,    82,    83,
      84,    85,    85,    85,    86,    86,    86,    86,    86,    86,
      86,    86,    86,    87,    88,    89,    89,    89,    90,    90,
      91,    91,    92,    92,    92,    92,    92,    92,    93,    93,
      93,    93,    93,    93,    94,    94,    95,    95,    95,    95,
      95,    95,    96,    96,    96,    97,    98,    98,    98,    98,
      98,    98,    98,    98,    98,    98,    98,    98,    98,    98,
      98,    98,    98,    98,    98,    98,    98,    98,    98,    98,
      98,    98,    98,    98,    98,    98,    99,    99,    99,    99,
      99,    99,    99,    99,    99,   100,   100,   100,   101,   101,
     101,   102,   102,   103,   103,   103,   103,   103,   103,   103,
     103,   103,   103,   103,   103,   103,   104,   104,   104,   104,
     104,   105,   105
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     2,     1,     0,     1,     3,     3,     3,     3,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     3,     1,
       1,     1,     2,     1,     1,     1,     3,     3,     1,     1,
       1,     2,     3,     2,     2,     2,     2,     2,     2,     3,
       1,     3,     3,     1,     1,     0,     1,     1,     3,     3,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       4,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     6,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     1,     1,     1,     1,     1,
       1,     1,     3
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
       3,    45,     0,     0,     0,    58,    59,    57,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    74,    73,   121,    91,    92,    56,   115,    75,    76,
      77,    78,    94,    79,    80,    81,    82,    83,    84,    85,
      23,     0,    24,     1,    45,    45,     4,     0,    30,     0,
      44,    43,     0,   102,   101,    88,    89,     0,     0,    93,
       0,     0,   113,    10,     9,    45,    45,    31,     0,   102,
     101,    14,    20,    17,    19,    21,    38,    11,     0,     0,
      12,    47,    46,    52,    55,    53,    54,    35,    36,    86,
      87,    33,    34,    37,     0,    96,    98,   100,     0,     0,
       0,     0,     0,     0,     0,     0,    95,    97,    99,     0,
       0,   117,   116,   119,   120,   118,     0,     0,     0,     6,
      45,    45,     5,   101,     8,     7,    39,   114,   122,     0,
       0,     0,    22,    25,    29,     0,    28,     0,     0,     0,
       0,    32,     0,   111,   112,   110,   109,   105,   106,   107,
     108,    41,    42,    90,   101,    16,    15,    18,    13,     0,
       0,    49,    51,    48,    50,   103,     0,    26,    27,     0,
     104,     0,     0,     0
};

static const short yydefgoto[] =
{
     171,     1,    68,    65,    66,   132,    77,    78,    60,   134,
     135,    46,    47,    48,    49,    91,    92,    93,    61,    51,
     109,   110,    52,    53,   116,    54
};

static const short yypact[] =
{
  -32768,   146,   -22,    -9,    -5,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,-32768,   -20,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,   325,-32768,    11,   266,   266,-32768,   145,-32768,   396,
      19,-32768,   348,-32768,-32768,-32768,-32768,    -7,   -20,-32768,
     325,   -72,-32768,-32768,-32768,   206,   206,-32768,    25,   -44,
     -27,-32768,-32768,    -4,   -28,-32768,-32768,-32768,   145,   145,
  -32768,    30,    44,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
  -32768,     3,-32768,-32768,   325,-32768,-32768,-32768,   325,   325,
     325,   325,   325,   325,   325,   325,-32768,-32768,-32768,   325,
     325,-32768,-32768,-32768,-32768,-32768,    17,   -27,    75,-32768,
     206,   206,-32768,    23,-32768,-32768,-32768,-32768,-32768,    12,
      26,    27,-32768,-32768,     8,    11,   -27,    59,    68,    81,
     105,-32768,    69,   238,   238,   -30,    85,   -37,   -37,-32768,
  -32768,    75,    75,-32768,    49,-32768,-32768,-32768,-32768,   145,
     145,-32768,-32768,-32768,-32768,-32768,    78,-32768,-32768,    40,
  -32768,   124,   127,-32768
};

static const short yypgoto[] =
{
  -32768,-32768,   148,    15,    16,   -45,   -70,     5,    -1,-32768,
  -32768,   -41,-32768,-32768,-32768,-32768,    88,-32768,    10,-32768,
  -32768,-32768,     0,   -38,-32768,   -31
};


#define	YYLAST		430


static const short yytable[] =
{
      45,    59,    76,    67,   129,    94,    44,    69,    83,   133,
      85,    50,    86,    55,    70,    23,    80,    98,    99,   -40,
     119,   124,    69,   -12,   122,   125,    56,   117,   127,    70,
      57,    58,   104,   105,   123,   123,   101,   102,   103,   104,
     105,    62,   131,    45,    45,   128,    79,    80,   136,    44,
      44,   133,   153,    42,    50,    50,   155,    58,   111,   112,
     118,   156,   157,   161,   121,   121,   130,   113,   114,   115,
     120,   120,   162,    63,    64,    50,    50,    79,    58,    67,
     158,   -40,   -40,    69,   163,   -12,   -12,    63,    64,   123,
     154,   -40,   137,   138,   142,   -12,    94,   126,   143,   144,
     145,   146,   147,   148,   149,   150,   139,   140,   164,   151,
     152,   -28,   -28,   169,   167,   168,    98,    99,   170,   121,
      45,   128,    98,    99,   172,   120,   120,   173,    80,    80,
      50,    50,    98,    99,   100,   101,   102,   103,   104,   105,
     100,   101,   102,   103,   104,   105,    -2,   165,   166,    43,
     159,   160,   102,   103,   104,   105,     2,     3,    79,    79,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,   141,
      23,    23,    24,    25,    26,     0,     0,    71,    72,    73,
      74,    75,     0,     0,     0,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,     0,    40,
      40,     0,     0,     0,    41,     0,     2,     3,    42,    42,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,     0,
       0,    23,    24,    25,    26,     0,     0,     0,    71,    72,
      73,    74,    75,     0,     0,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,     0,     0,
      40,     0,     0,     0,    41,     0,     2,     3,     0,    42,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,     0,
       0,    23,    24,    25,    26,   102,   103,   104,   105,     0,
       0,     0,     0,     0,     0,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,     0,     0,
      40,     0,     0,     0,    41,     0,     0,     0,     0,    42,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,     0,     0,
      23,     0,     0,    26,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    27,    28,    29,    30,    31,     0,
      33,    34,    35,    36,    37,    38,    39,    95,    96,    97,
       0,     0,     0,    41,     0,    98,    99,     0,    42,    81,
      82,    83,    84,    85,     0,    86,     0,     0,    87,    88,
       0,     0,     0,   100,   101,   102,   103,   104,   105,     0,
       0,     0,   106,   107,   108,     0,     0,     0,     0,    89,
      90
};

static const short yycheck[] =
{
       1,    32,    47,    44,     8,    77,     1,    45,     5,    79,
       7,     1,     9,    35,    45,    35,    47,    47,    48,     0,
      65,    66,    60,     0,    65,    66,    35,    58,    72,    60,
      35,    32,    69,    70,    65,    66,    66,    67,    68,    69,
      70,    41,    70,    44,    45,    72,    47,    78,    79,    44,
      45,   121,    35,    73,    44,    45,    44,    58,    65,    66,
      60,    35,    35,     4,    65,    66,    70,    74,    75,    76,
      65,    66,     4,    62,    63,    65,    66,    78,    79,   120,
      72,    62,    63,   121,     3,    62,    63,    62,    63,   120,
     121,    72,    62,    63,    94,    72,    77,    72,    98,    99,
     100,   101,   102,   103,   104,   105,    62,    63,     3,   109,
     110,    62,    63,    35,   159,   160,    47,    48,    78,   120,
     121,    72,    47,    48,     0,   120,   121,     0,   159,   160,
     120,   121,    47,    48,    65,    66,    67,    68,    69,    70,
      65,    66,    67,    68,    69,    70,     0,    78,    79,     1,
     135,   135,    67,    68,    69,    70,    10,    11,   159,   160,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    91,
      35,    35,    36,    37,    38,    -1,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    -1,    64,
      64,    -1,    -1,    -1,    68,    -1,    10,    11,    73,    73,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    35,    36,    37,    38,    -1,    -1,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    -1,    -1,
      64,    -1,    -1,    -1,    68,    -1,    10,    11,    -1,    73,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    35,    36,    37,    38,    67,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    -1,    -1,
      64,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    73,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    -1,    -1,
      35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    61,    39,    40,    41,
      -1,    -1,    -1,    68,    -1,    47,    48,    -1,    73,     3,
       4,     5,     6,     7,    -1,     9,    -1,    -1,    12,    13,
      -1,    -1,    -1,    65,    66,    67,    68,    69,    70,    -1,
      -1,    -1,    74,    75,    76,    -1,    -1,    -1,    -1,    33,
      34
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 1:
#line 141 "grammar.y"
{
	finish_parse(yyvsp[0].blk.b);
}
    break;
case 3:
#line 146 "grammar.y"
{ yyval.blk.q = qerr; }
    break;
case 5:
#line 149 "grammar.y"
{ gen_and(yyvsp[-2].blk.b, yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 6:
#line 150 "grammar.y"
{ gen_and(yyvsp[-2].blk.b, yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 7:
#line 151 "grammar.y"
{ gen_or(yyvsp[-2].blk.b, yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 8:
#line 152 "grammar.y"
{ gen_or(yyvsp[-2].blk.b, yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 9:
#line 154 "grammar.y"
{ yyval.blk = yyvsp[-1].blk; }
    break;
case 10:
#line 156 "grammar.y"
{ yyval.blk = yyvsp[-1].blk; }
    break;
case 12:
#line 159 "grammar.y"
{ yyval.blk.b = gen_ncode(NULL, (bpf_u_int32)yyvsp[0].i,
						   yyval.blk.q = yyvsp[-1].blk.q); }
    break;
case 13:
#line 161 "grammar.y"
{ yyval.blk = yyvsp[-1].blk; }
    break;
case 14:
#line 163 "grammar.y"
{ yyval.blk.b = gen_scode(yyvsp[0].s, yyval.blk.q = yyvsp[-1].blk.q); }
    break;
case 15:
#line 164 "grammar.y"
{ yyval.blk.b = gen_mcode(yyvsp[-2].s, NULL, yyvsp[0].i,
				    yyval.blk.q = yyvsp[-3].blk.q); }
    break;
case 16:
#line 166 "grammar.y"
{ yyval.blk.b = gen_mcode(yyvsp[-2].s, yyvsp[0].s, 0,
				    yyval.blk.q = yyvsp[-3].blk.q); }
    break;
case 17:
#line 168 "grammar.y"
{
				  /* Decide how to parse HID based on proto */
				  yyval.blk.q = yyvsp[-1].blk.q;
				  yyval.blk.b = gen_ncode(yyvsp[0].s, 0, yyval.blk.q);
				}
    break;
case 18:
#line 173 "grammar.y"
{
#ifdef INET6
				  yyval.blk.b = gen_mcode6(yyvsp[-2].s, NULL, yyvsp[0].i,
				    yyval.blk.q = yyvsp[-3].blk.q);
#else
				  bpf_error("'ip6addr/prefixlen' not supported "
					"in this configuration");
#endif /*INET6*/
				}
    break;
case 19:
#line 182 "grammar.y"
{
#ifdef INET6
				  yyval.blk.b = gen_mcode6(yyvsp[0].s, 0, 128,
				    yyval.blk.q = yyvsp[-1].blk.q);
#else
				  bpf_error("'ip6addr' not supported "
					"in this configuration");
#endif /*INET6*/
				}
    break;
case 20:
#line 191 "grammar.y"
{ 
				  yyval.blk.b = gen_ecode(yyvsp[0].e, yyval.blk.q = yyvsp[-1].blk.q);
				  /*
				   * $1 was allocated by "pcap_ether_aton()",
				   * so we must free it now that we're done
				   * with it.
				   */
				  free(yyvsp[0].e);
				}
    break;
case 21:
#line 200 "grammar.y"
{
				  yyval.blk.b = gen_acode(yyvsp[0].e, yyval.blk.q = yyvsp[-1].blk.q);
				  /*
				   * $1 was allocated by "pcap_ether_aton()",
				   * so we must free it now that we're done
				   * with it.
				   */
				  free(yyvsp[0].e);
				}
    break;
case 22:
#line 209 "grammar.y"
{ gen_not(yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 23:
#line 211 "grammar.y"
{ yyval.blk = yyvsp[-1].blk; }
    break;
case 24:
#line 213 "grammar.y"
{ yyval.blk = yyvsp[-1].blk; }
    break;
case 26:
#line 216 "grammar.y"
{ gen_and(yyvsp[-2].blk.b, yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 27:
#line 217 "grammar.y"
{ gen_or(yyvsp[-2].blk.b, yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 28:
#line 219 "grammar.y"
{ yyval.blk.b = gen_ncode(NULL, (bpf_u_int32)yyvsp[0].i,
						   yyval.blk.q = yyvsp[-1].blk.q); }
    break;
case 31:
#line 224 "grammar.y"
{ gen_not(yyvsp[0].blk.b); yyval.blk = yyvsp[0].blk; }
    break;
case 32:
#line 226 "grammar.y"
{ QSET(yyval.blk.q, yyvsp[-2].i, yyvsp[-1].i, yyvsp[0].i); }
    break;
case 33:
#line 227 "grammar.y"
{ QSET(yyval.blk.q, yyvsp[-1].i, yyvsp[0].i, Q_DEFAULT); }
    break;
case 34:
#line 228 "grammar.y"
{ QSET(yyval.blk.q, yyvsp[-1].i, Q_DEFAULT, yyvsp[0].i); }
    break;
case 35:
#line 229 "grammar.y"
{ QSET(yyval.blk.q, yyvsp[-1].i, Q_DEFAULT, Q_PROTO); }
    break;
case 36:
#line 230 "grammar.y"
{ QSET(yyval.blk.q, yyvsp[-1].i, Q_DEFAULT, Q_PROTOCHAIN); }
    break;
case 37:
#line 231 "grammar.y"
{ QSET(yyval.blk.q, yyvsp[-1].i, Q_DEFAULT, yyvsp[0].i); }
    break;
case 38:
#line 233 "grammar.y"
{ yyval.blk = yyvsp[0].blk; }
    break;
case 39:
#line 234 "grammar.y"
{ yyval.blk.b = yyvsp[-1].blk.b; yyval.blk.q = yyvsp[-2].blk.q; }
    break;
case 40:
#line 235 "grammar.y"
{ yyval.blk.b = gen_proto_abbrev(yyvsp[0].i); yyval.blk.q = qerr; }
    break;
case 41:
#line 236 "grammar.y"
{ yyval.blk.b = gen_relation(yyvsp[-1].i, yyvsp[-2].a, yyvsp[0].a, 0);
				  yyval.blk.q = qerr; }
    break;
case 42:
#line 238 "grammar.y"
{ yyval.blk.b = gen_relation(yyvsp[-1].i, yyvsp[-2].a, yyvsp[0].a, 1);
				  yyval.blk.q = qerr; }
    break;
case 43:
#line 240 "grammar.y"
{ yyval.blk.b = yyvsp[0].rblk; yyval.blk.q = qerr; }
    break;
case 45:
#line 244 "grammar.y"
{ yyval.i = Q_DEFAULT; }
    break;
case 46:
#line 247 "grammar.y"
{ yyval.i = Q_SRC; }
    break;
case 47:
#line 248 "grammar.y"
{ yyval.i = Q_DST; }
    break;
case 48:
#line 249 "grammar.y"
{ yyval.i = Q_OR; }
    break;
case 49:
#line 250 "grammar.y"
{ yyval.i = Q_OR; }
    break;
case 50:
#line 251 "grammar.y"
{ yyval.i = Q_AND; }
    break;
case 51:
#line 252 "grammar.y"
{ yyval.i = Q_AND; }
    break;
case 52:
#line 255 "grammar.y"
{ yyval.i = Q_HOST; }
    break;
case 53:
#line 256 "grammar.y"
{ yyval.i = Q_NET; }
    break;
case 54:
#line 257 "grammar.y"
{ yyval.i = Q_PORT; }
    break;
case 55:
#line 260 "grammar.y"
{ yyval.i = Q_GATEWAY; }
    break;
case 56:
#line 262 "grammar.y"
{ yyval.i = Q_LINK; }
    break;
case 57:
#line 263 "grammar.y"
{ yyval.i = Q_IP; }
    break;
case 58:
#line 264 "grammar.y"
{ yyval.i = Q_ARP; }
    break;
case 59:
#line 265 "grammar.y"
{ yyval.i = Q_RARP; }
    break;
case 60:
#line 266 "grammar.y"
{ yyval.i = Q_SCTP; }
    break;
case 61:
#line 267 "grammar.y"
{ yyval.i = Q_TCP; }
    break;
case 62:
#line 268 "grammar.y"
{ yyval.i = Q_UDP; }
    break;
case 63:
#line 269 "grammar.y"
{ yyval.i = Q_ICMP; }
    break;
case 64:
#line 270 "grammar.y"
{ yyval.i = Q_IGMP; }
    break;
case 65:
#line 271 "grammar.y"
{ yyval.i = Q_IGRP; }
    break;
case 66:
#line 272 "grammar.y"
{ yyval.i = Q_PIM; }
    break;
case 67:
#line 273 "grammar.y"
{ yyval.i = Q_VRRP; }
    break;
case 68:
#line 274 "grammar.y"
{ yyval.i = Q_ATALK; }
    break;
case 69:
#line 275 "grammar.y"
{ yyval.i = Q_AARP; }
    break;
case 70:
#line 276 "grammar.y"
{ yyval.i = Q_DECNET; }
    break;
case 71:
#line 277 "grammar.y"
{ yyval.i = Q_LAT; }
    break;
case 72:
#line 278 "grammar.y"
{ yyval.i = Q_SCA; }
    break;
case 73:
#line 279 "grammar.y"
{ yyval.i = Q_MOPDL; }
    break;
case 74:
#line 280 "grammar.y"
{ yyval.i = Q_MOPRC; }
    break;
case 75:
#line 281 "grammar.y"
{ yyval.i = Q_IPV6; }
    break;
case 76:
#line 282 "grammar.y"
{ yyval.i = Q_ICMPV6; }
    break;
case 77:
#line 283 "grammar.y"
{ yyval.i = Q_AH; }
    break;
case 78:
#line 284 "grammar.y"
{ yyval.i = Q_ESP; }
    break;
case 79:
#line 285 "grammar.y"
{ yyval.i = Q_ISO; }
    break;
case 80:
#line 286 "grammar.y"
{ yyval.i = Q_ESIS; }
    break;
case 81:
#line 287 "grammar.y"
{ yyval.i = Q_ISIS; }
    break;
case 82:
#line 288 "grammar.y"
{ yyval.i = Q_CLNP; }
    break;
case 83:
#line 289 "grammar.y"
{ yyval.i = Q_STP; }
    break;
case 84:
#line 290 "grammar.y"
{ yyval.i = Q_IPX; }
    break;
case 85:
#line 291 "grammar.y"
{ yyval.i = Q_NETBEUI; }
    break;
case 86:
#line 293 "grammar.y"
{ yyval.rblk = gen_broadcast(yyvsp[-1].i); }
    break;
case 87:
#line 294 "grammar.y"
{ yyval.rblk = gen_multicast(yyvsp[-1].i); }
    break;
case 88:
#line 295 "grammar.y"
{ yyval.rblk = gen_less(yyvsp[0].i); }
    break;
case 89:
#line 296 "grammar.y"
{ yyval.rblk = gen_greater(yyvsp[0].i); }
    break;
case 90:
#line 297 "grammar.y"
{ yyval.rblk = gen_byteop(yyvsp[-1].i, yyvsp[-2].i, yyvsp[0].i); }
    break;
case 91:
#line 298 "grammar.y"
{ yyval.rblk = gen_inbound(0); }
    break;
case 92:
#line 299 "grammar.y"
{ yyval.rblk = gen_inbound(1); }
    break;
case 93:
#line 300 "grammar.y"
{ yyval.rblk = gen_vlan(yyvsp[0].i); }
    break;
case 94:
#line 301 "grammar.y"
{ yyval.rblk = gen_vlan(-1); }
    break;
case 95:
#line 303 "grammar.y"
{ yyval.i = BPF_JGT; }
    break;
case 96:
#line 304 "grammar.y"
{ yyval.i = BPF_JGE; }
    break;
case 97:
#line 305 "grammar.y"
{ yyval.i = BPF_JEQ; }
    break;
case 98:
#line 307 "grammar.y"
{ yyval.i = BPF_JGT; }
    break;
case 99:
#line 308 "grammar.y"
{ yyval.i = BPF_JGE; }
    break;
case 100:
#line 309 "grammar.y"
{ yyval.i = BPF_JEQ; }
    break;
case 101:
#line 311 "grammar.y"
{ yyval.a = gen_loadi(yyvsp[0].i); }
    break;
case 103:
#line 314 "grammar.y"
{ yyval.a = gen_load(yyvsp[-3].i, yyvsp[-1].a, 1); }
    break;
case 104:
#line 315 "grammar.y"
{ yyval.a = gen_load(yyvsp[-5].i, yyvsp[-3].a, yyvsp[-1].i); }
    break;
case 105:
#line 316 "grammar.y"
{ yyval.a = gen_arth(BPF_ADD, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 106:
#line 317 "grammar.y"
{ yyval.a = gen_arth(BPF_SUB, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 107:
#line 318 "grammar.y"
{ yyval.a = gen_arth(BPF_MUL, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 108:
#line 319 "grammar.y"
{ yyval.a = gen_arth(BPF_DIV, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 109:
#line 320 "grammar.y"
{ yyval.a = gen_arth(BPF_AND, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 110:
#line 321 "grammar.y"
{ yyval.a = gen_arth(BPF_OR, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 111:
#line 322 "grammar.y"
{ yyval.a = gen_arth(BPF_LSH, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 112:
#line 323 "grammar.y"
{ yyval.a = gen_arth(BPF_RSH, yyvsp[-2].a, yyvsp[0].a); }
    break;
case 113:
#line 324 "grammar.y"
{ yyval.a = gen_neg(yyvsp[0].a); }
    break;
case 114:
#line 325 "grammar.y"
{ yyval.a = yyvsp[-1].a; }
    break;
case 115:
#line 326 "grammar.y"
{ yyval.a = gen_loadlen(); }
    break;
case 116:
#line 328 "grammar.y"
{ yyval.i = '&'; }
    break;
case 117:
#line 329 "grammar.y"
{ yyval.i = '|'; }
    break;
case 118:
#line 330 "grammar.y"
{ yyval.i = '<'; }
    break;
case 119:
#line 331 "grammar.y"
{ yyval.i = '>'; }
    break;
case 120:
#line 332 "grammar.y"
{ yyval.i = '='; }
    break;
case 122:
#line 335 "grammar.y"
{ yyval.i = yyvsp[-1].i; }
    break;
}

#line 705 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 337 "grammar.y"

